Bug 144008 - (RootkitHunter119) Update Package: rkhunter - a Perl based scanner for rootkits, backdoors and local exploits.
Update Package: rkhunter - a Perl based scanner for rootkits, backdoors and ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rkhunter (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Greg Houlette
http://tinyurl.com/4w4re/public/fedor...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-03 13:17 EST by Greg Houlette
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-08 03:08:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Greg Houlette 2005-01-03 13:17:32 EST
Description:

* Sun Jan 2 2005 Greg Houlette - 0:1.1.9-0.fdr.1
- New package version release
- Added the --run-application-check command line option
  to listing in command help
- Replaced 'Here' Doc editing of rkhunter.conf file
  with in-place Perl edit
- tweaked rpmbuild -bb Autoclean

From upstream release CHANGELOG:

 * 1.1.9 (28/12/2004)

 New:
 - Added RH-Sharpe's rootkit (rootkit)
 - Added SHV5 rootkit (rootkit)
 - Added special test for tripwire
 - Added support for metalog (syslog daemon) 
 - Added support for ALTLinux 2.2 and 2.4
 - Added support for CentOS 3.3
 - Added support for Gentoo 1.6
 - Added support for FreeBSD 4.10 (alpha platform)
 - Added support for SuSE SLES8. Thanks to Mario Lenz
 - Added support for SuSE 9.2 (i586)
 - Added support for Fedora Core 3
 - Added support for Red Hat Enterprise Linux ES/WS release 4
 - Added hashes for Fedora Core 3. Thanks to Steph
 - Official port is now available for ALTLinux
 - Change text when an old software package has been found. This
   will happen with backporting operating systems (Red Hat,
   Fedora etc)
 
 Changes:
 - Improved logging for lsof test
 - Updated hashes for Fedora Core 1
 - Updated hashes for Debian woody
 - Updated hashes for Red Hat Enterprise Linux ES/WS release 3
 - Updated hashes for Slackware 9
 - Updated hashes for Slackware 10
 - Updated hashes for SuSE 9.1
 - Updated wishlist/todo, updated readme and manpage.
 - Code cleanup (added more remarks, cleanup of old/buggy things)..
 - Improved logging
 
 Bugfixes:
 - Changed binary search path due typo. Thanks to Bertrand
Comment 1 Greg Houlette 2005-01-03 13:41:04 EST
Source RPM signed digests:

http://download.tekarmory.com/fedora/rkhunter-1.1.9-0.fdr.1.src.md5
Comment 2 Michael Schwendt 2005-01-03 14:05:21 EST
ERROR 403: Forbidden.
Comment 3 Greg Houlette 2005-01-03 16:44:32 EST
> ERROR 403: Forbidden.

O.K... My fubar... New site... etc., etc.

I'll put a page there so the server knows what to do...
Comment 4 Greg Houlette 2005-01-05 16:56:51 EST
Well... that was interesting...

My hosting provider and I have been in a cage match about who should
fix what.  First I had to deal with the stupid 32 character filename
limit.  Geez!  Even Windoze95 had support for long file names...

Now the issue is the 403 error from serving up *_ANY_* non-graphical
binary file via HTTP... (I've told them it is a server configuration
issue, they told me that I should just serve them from the FTP side)

I pointed out to them that I could download the RPMs via HTTP from
the management console (from which I uploaded them as well).

Their response?  "We will look into this and reply you soon"

In the meantime, I've changed the URL here to a TinyURLized version.
(Hope you client can handle a HTTP->FTP redirect...)
Comment 5 Greg Houlette 2005-01-05 17:00:27 EST
Source RPM signed digests:

http://tinyurl.com/4w4re/public/fedora/rkhunter-1.1.9-0.fdr.1.src.md5
Comment 6 Michael Schwendt 2005-01-07 03:32:33 EST
Imported into CVS as rkhunter-1.1.9-1 because the 0.fdr prefix is no
longer used. Moved the "Packager" entry into the %changelog where it
belongs.
Comment 7 Greg Houlette 2005-01-07 08:53:51 EST
Seems reasonable.  Pulled down the mod'ed .spec file and rebuilt both
source and binary RPMs to verify release change did not break anything.
(I didn't really expect it would)  Uploaded new files to server.

Source RPM signed digests:

http://tinyurl.com/4w4re/public/fedora/rkhunter-1.1.9-1.src.md5

What's next?  Does it get build automatically from CVS?
Comment 8 Michael Schwendt 2005-01-07 11:45:19 EST
No automated builds yet, since this is pre-Extras. Seth Vidal triggers
FC3 builds when you post to fedora-extras-list.
Comment 9 Greg Houlette 2005-01-07 23:48:46 EST
Do we have a template for fedora-extras-list announcements?
Do we just use fedora-pkgannfmt?

(BTW, my hosting provider got 'pinned to the mat' this afternoon.
"We were denying access to a specific file type but instead we
were stopping any file ending with pm.")

ERROR 403: Forbidden. FIXED
Comment 10 Michael Schwendt 2005-01-08 03:08:48 EST
There's an automated "Recent Packages" news feed:
http://fedoraproject.org/infofeed/inputs/fc3-extras.xml

fedora-extras-list is for general discussion.

fedora-extras-announce-list is not in use yet. Haven't seen a single
package announcement there.

Note You need to log in before you can comment on or make changes to this bug.